Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231220 - Should be able to install packages into /usr/share/R/library
Summary: Should be able to install packages into /usr/share/R/library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: R
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 20:12 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-26 17:06:46 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-03-06 20:12:04 UTC
Many R packages are "noarch" and shoud be installed in /usr/share/R/library. 
Can this be supported?

Comment 1 Tom "spot" Callaway 2007-03-13 19:14:58 UTC
Well, for starters, none of the R packages in Fedora are "noarch". Can you give
me an example of a noarch R package?

Comment 2 Orion Poplawski 2007-03-13 19:48:17 UTC
Well, currently in extras the only candidate I think is R-mAr.  I've also
packaged R-systemfit for local use and was planning on submitting to Fedora when
I noticed this issue.  Spec and source are at
http://www.cora.nwra.com/~orion/fedora.  It seems to make sense to make R-mAr
and R-systemfit noarch and install them in the same location (/usr/share/R or
/usr/lib/R, I don't really care) on i386 and x86_64.  But it seems like R will
only look in /usr/lib/R/library and /usr/lib64/R/library respectively.  This may
be too hard to change, and it definitely should be an upstream thing.

Comment 3 Patrice Dumas 2007-03-13 21:38:05 UTC
Among 56 R packages I packaged as dependencies of 
R-mFilter, 21 seems to be noarch. They are not necessarily
well packaged nor suitable for fedora.

R-car
R-DAAG
R-dynlm
R-Ecdat
R-fCalendar
R-fEcofin
R-its
R-mFilter
R-oz
R-pastecs
R-qcc
R-RColorBrewer
R-RTisean
R-sandwich
R-scatterplot3d
R-sem
R-strucchange
R-systemfit
R-TeachingDemos
R-xtable
R-zoo


Comment 4 Tom "spot" Callaway 2007-03-17 17:38:27 UTC
Added support for /usr/share/R/library to R-2.4.1-4 (for FC-5, FC-6, devel).
Please reopen this bug if noarch packages do not work properly.

Comment 5 Orion Poplawski 2007-03-19 19:49:01 UTC
Another issue we have to consider:

 Currently, R packages do the following in %post/%postun:

cat /usr/lib/R/library/*/CONTENTS > /usr/lib/R/doc/html/search/index.txt

which assumes all packages are in /usr/lib/R/library, and that
/usr/lib/R/doc/html/search/ exists.

Can we also have a /usr/share/R/library/doc/html/search/ directory?  Do we just
move the exitsting one there (and have to update all R packages)?  I'm not
really sure what functionality this provides.



Note You need to log in before you can comment on or make changes to this bug.